<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Products App</title>
    <link rel="stylesheet" href="/index.css" />
  </head>
  <body>
    <div class="container">
      <h1>All Products Lists</h1>
      <form action="/products/addProduct" method="get">
        <button class="new-product-button">New Products</button>
      </form>

      <% for(let product of D_product) { %>
      <div class="product">
        <h2><%= product.p_Name %></h2>
        <div class="rating">Rating: <%= product.p_rating %> / 5</div>
        <p><%= product.p_Info %></p>
        <div class="price">Price: $<%= product.p_Price %></div>
        <form action="/products/<%= product._id %>/product" method="get">
          <button class="edit-button">Edit</button>
        </form>
        <form action="/products/<%= product._id %>?_method=DELETE" method="post">
          <button class="edit-button">Delete</button>
        </form>
      </div>
      <% } %>
    </div>
  </body>
</html>
